Name:           lcdtest
URL:            http://www.brouhaha.com/~eric/software/lcdtest/
Version:        1.07
Release:        2%{?dist}
Group:          Applications/System
License:        GPL
Summary:        Displays monitor test patterns
Source:         http://www.brouhaha.com/~eric/software/lcdtest/download/lcdtest-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  scons >= 0.97, SDL_image-devel, netpbm-progs

%description
lcdtest is a utility to display LCD monitor test patterns.  It may be
useful for adjusting the pixel clock frequency and phase on LCD
monitors when using analog inputs, and for finding pixels that are
stuck on or off.  lctest uses the SDL library.

%prep
%setup -q

%build
export CFLAGS=$RPM_OPT_FLAGS
scons %{_smp_mflags} \
      destdir=$RPM_BUILD_ROOT \
      bindir=%{_bindir} \
      mandir=%{_mandir}/man1

%install
rm -rf $RPM_BUILD_ROOT
export CFLAGS=$RPM_OPT_FLAGS
scons %{_smp_mflags} \
      destdir=$RPM_BUILD_ROOT \
      bindir=%{_bindir} \
      mandir=%{_mandir}/man1 \
      install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/lcdtest
%doc %{_mandir}/man1/lcdtest.1.gz
%doc COPYING
%doc README

%changelog
* Tue Jun 05 2007 Eric Smith <eric@brouhaha.com> 1.07-2
- added dist tag
- removed unnecessary macros
- removed unnecessary Requires

* Sat May 26 2007 Eric Smith <eric@brouhaha.com> 1.07-1
- update to 1.07
- capitalize summary
- use spaces consistently in spec rather than tabs

* Fri May 25 2007 Eric Smith <eric@brouhaha.com> 1.06-3
- change BuildRoot

* Fri May 25 2007 Eric Smith <eric@brouhaha.com> 1.06-2
- update BuildRequires: SCons >= 0.97, SDL-devel is implied by SDL_image-devel
- clean section added
- defattr changed to (-,root,root,-)
- pass _smp_mflags to SCons

* Fri May 25 2007 Eric Smith <eric@brouhaha.com> 1.06-1
- update to 1.06

* Wed May 23 2007 Eric Smith <eric@brouhaha.com> 1.05-1
- created
